Bug 1419651 - Unmounted partitions still appear in UCD-SNMP-MIB::dskTable
Summary: Unmounted partitions still appear in UCD-SNMP-MIB::dskTable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.8
Hardware: x86_64
OS: All
unspecified
medium
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1499211 1495096
TreeView+ depends on / blocked
 
Reported: 2017-02-06 16:25 UTC by Jarrod Makin
Modified: 2017-10-06 11:36 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1495096 (view as bug list)
Environment:
Last Closed: 2017-09-25 08:07:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jarrod Makin 2017-02-06 16:25:22 UTC
Description of problem:
An snmpwalk of a host's resources still show partitions which were previously mounted, but have since been unmounted on UCD-SNMP-MIB::dskTable at the following child nodes:
UCD-SNMP-MIB::dskIndex
UCD-SNMP-MIB::dskPath
UCD-SNMP-MIB::dskDevice
UCD-SNMP-MIB::dskMinimum
UCD-SNMP-MIB::dskMinPercent

but correctly removed from the following child nodes:
UCD-SNMP-MIB::dskTotal
UCD-SNMP-MIB::dskAvail
UCD-SNMP-MIB::dskUsed
UCD-SNMP-MIB::dskPercent
UCD-SNMP-MIB::dskPercentNode
UCD-SNMP-MIB::dskTotalLow
UCD-SNMP-MIB::dskTotalHigh
UCD-SNMP-MIB::dskAvailLow
UCD-SNMP-MIB::dskAvailHigh
UCD-SNMP-MIB::dskUsedLow
UCD-SNMP-MIB::dskUsedHigh
UCD-SNMP-MIB::dskErrorFlag
UCD-SNMP-MIB::dskErrorMsg

Version-Release number of selected component (if applicable):
net-snmp-5.5-57.el6_8.1.x86_64

How reproducible:
Easy

Steps to Reproduce:
1. Ensure includeAllDisks is in snmpd.conf
2. Mount a partition, for example mount /dev/sda1 /mnt
3. snmpwalk, to see the new mountpoint /mnt is mentioned
4. umount /mnt
5. snmpwalk again

Actual results:

snmpwalk -v1 -c XXXXXXXX hostname UCD-SNMP-MIB::dskTable
UCD-SNMP-MIB::dskIndex.1 = INTEGER: 1                                          
UCD-SNMP-MIB::dskIndex.2 = INTEGER: 2                                          
UCD-SNMP-MIB::dskIndex.3 = INTEGER: 3                                          
UCD-SNMP-MIB::dskIndex.4 = INTEGER: 4                                          
UCD-SNMP-MIB::dskIndex.5 = INTEGER: 5                                          
UCD-SNMP-MIB::dskIndex.6 = INTEGER: 6                                          
UCD-SNMP-MIB::dskIndex.7 = INTEGER: 7                                          
UCD-SNMP-MIB::dskIndex.8 = INTEGER: 8                                          
UCD-SNMP-MIB::dskIndex.9 = INTEGER: 9                                          
UCD-SNMP-MIB::dskIndex.10 = INTEGER: 10                                        
UCD-SNMP-MIB::dskIndex.11 = INTEGER: 11                                        
UCD-SNMP-MIB::dskIndex.12 = INTEGER: 12                                        
UCD-SNMP-MIB::dskIndex.13 = INTEGER: 13                                        
UCD-SNMP-MIB::dskIndex.14 = INTEGER: 14                                        
UCD-SNMP-MIB::dskPath.1 = STRING: /                                            
UCD-SNMP-MIB::dskPath.2 = STRING: /proc                                        
UCD-SNMP-MIB::dskPath.3 = STRING: /sys                                         
UCD-SNMP-MIB::dskPath.4 = STRING: /dev/pts                                     
UCD-SNMP-MIB::dskPath.5 = STRING: /dev/shm                                     
UCD-SNMP-MIB::dskPath.6 = STRING: /boot/efi                                    
UCD-SNMP-MIB::dskPath.7 = STRING: /tmp                                         
UCD-SNMP-MIB::dskPath.8 = STRING: /usr                                         
UCD-SNMP-MIB::dskPath.9 = STRING: /var                                         
UCD-SNMP-MIB::dskPath.10 = STRING: /proc/sys/fs/binfmt_misc                    
UCD-SNMP-MIB::dskPath.11 = STRING: /var/lib/nfs/rpc_pipefs                     
UCD-SNMP-MIB::dskPath.12 = STRING: /home/sites                                 
UCD-SNMP-MIB::dskPath.13 = STRING: /home/cluster-sites/41                      
UCD-SNMP-MIB::dskPath.14 = STRING: /mnt                                        
UCD-SNMP-MIB::dskDevice.1 = STRING: /dev/sda2                                  
UCD-SNMP-MIB::dskDevice.2 = STRING: proc                                       
UCD-SNMP-MIB::dskDevice.3 = STRING: sysfs                                      
UCD-SNMP-MIB::dskDevice.4 = STRING: devpts                                     
UCD-SNMP-MIB::dskDevice.5 = STRING: tmpfs                                      
UCD-SNMP-MIB::dskDevice.6 = STRING: /dev/sda1                                  
UCD-SNMP-MIB::dskDevice.7 = STRING: /dev/sda5                                  
UCD-SNMP-MIB::dskDevice.8 = STRING: /dev/sda4                                  
UCD-SNMP-MIB::dskDevice.9 = STRING: /dev/sda6                                  
UCD-SNMP-MIB::dskDevice.10 = STRING: none                                      
UCD-SNMP-MIB::dskDevice.11 = STRING: sunrpc                                    
UCD-SNMP-MIB::dskDevice.12 = STRING: 10.0.3.41:/home/sites                     
UCD-SNMP-MIB::dskDevice.13 = STRING: nfsmount.local:/home/sites            
UCD-SNMP-MIB::dskDevice.14 = STRING: /dev/sda1                                 
...

Expected results:
snmpwalk -v1 -c XXXXXXXX hostname UCD-SNMP-MIB::dskTable
UCD-SNMP-MIB::dskIndex.1 = INTEGER: 1                                          
UCD-SNMP-MIB::dskIndex.2 = INTEGER: 2                                          
UCD-SNMP-MIB::dskIndex.3 = INTEGER: 3                                          
UCD-SNMP-MIB::dskIndex.4 = INTEGER: 4                                          
UCD-SNMP-MIB::dskIndex.5 = INTEGER: 5                                          
UCD-SNMP-MIB::dskIndex.6 = INTEGER: 6                                          
UCD-SNMP-MIB::dskIndex.7 = INTEGER: 7                                          
UCD-SNMP-MIB::dskIndex.8 = INTEGER: 8                                          
UCD-SNMP-MIB::dskIndex.9 = INTEGER: 9                                          
UCD-SNMP-MIB::dskIndex.10 = INTEGER: 10                                        
UCD-SNMP-MIB::dskIndex.11 = INTEGER: 11                                        
UCD-SNMP-MIB::dskIndex.12 = INTEGER: 12                                        
UCD-SNMP-MIB::dskIndex.13 = INTEGER: 13                                        
UCD-SNMP-MIB::dskPath.1 = STRING: /                                            
UCD-SNMP-MIB::dskPath.2 = STRING: /proc                                        
UCD-SNMP-MIB::dskPath.3 = STRING: /sys                                         
UCD-SNMP-MIB::dskPath.4 = STRING: /dev/pts                                     
UCD-SNMP-MIB::dskPath.5 = STRING: /dev/shm                                     
UCD-SNMP-MIB::dskPath.6 = STRING: /boot/efi                                    
UCD-SNMP-MIB::dskPath.7 = STRING: /tmp                                         
UCD-SNMP-MIB::dskPath.8 = STRING: /usr                                         
UCD-SNMP-MIB::dskPath.9 = STRING: /var                                         
UCD-SNMP-MIB::dskPath.10 = STRING: /proc/sys/fs/binfmt_misc                    
UCD-SNMP-MIB::dskPath.11 = STRING: /var/lib/nfs/rpc_pipefs                     
UCD-SNMP-MIB::dskPath.12 = STRING: /home/sites                                 
UCD-SNMP-MIB::dskPath.13 = STRING: /home/cluster-sites/41                      
UCD-SNMP-MIB::dskDevice.1 = STRING: /dev/sda2                                  
UCD-SNMP-MIB::dskDevice.2 = STRING: proc                                       
UCD-SNMP-MIB::dskDevice.3 = STRING: sysfs                                      
UCD-SNMP-MIB::dskDevice.4 = STRING: devpts                                     
UCD-SNMP-MIB::dskDevice.5 = STRING: tmpfs                                      
UCD-SNMP-MIB::dskDevice.6 = STRING: /dev/sda1                                  
UCD-SNMP-MIB::dskDevice.7 = STRING: /dev/sda5                                  
UCD-SNMP-MIB::dskDevice.8 = STRING: /dev/sda4                                  
UCD-SNMP-MIB::dskDevice.9 = STRING: /dev/sda6                                  
UCD-SNMP-MIB::dskDevice.10 = STRING: none                                      
UCD-SNMP-MIB::dskDevice.11 = STRING: sunrpc                                    
UCD-SNMP-MIB::dskDevice.12 = STRING: 10.0.3.41:/home/sites                     
UCD-SNMP-MIB::dskDevice.13 = STRING: nfsmount.local:/home/sites            
...


Additional info:
Parts of snmpd.conf, which may be of interest
includeAllDisks 5%
skipNFSInHostResources true
realStorageUnits 0

Comment 1 Josef Ridky 2017-02-07 10:08:22 UTC
Thank you for taking the time to report this issue to us. We appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit:
    https://www.redhat.com/support/process/production/#howto

Comment 2 Jarrod Makin 2017-02-07 10:53:27 UTC
Hi Josef,

I believe this to be a bug, rather than a feature request.
The observed behaviour is not present on the newer snmpd packaged with RHEL7.
Furthermore, man 5 snmpd.conf states

"includeAllDisks MINPERCENT%
...
The dskTable is dynamically updated, unmounted disks disappear from the table and newly mounted disks are added to the table."

Comment 3 Josef Ridky 2017-02-07 11:32:15 UTC
Hi Jason,

thank you very much for your interest. I have add comment #1 just, because I am not able to guarantee the timeliness or suitability of a resolution in this case.

Sure I will look at this issue closer, but right now it's at the bottom of my priority list.

Regards
Josef

Comment 4 Josef Ridky 2017-09-25 08:07:22 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the
Production 3 Phase, Critical impact Security Advisories (RHSAs) and
selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as
they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase
and will be marked as CLOSED/WONTFIX. If this remains a critical
requirement, please contact Red Hat Customer Support to request
a re-evaluation of the issue, citing a clear business justification. Note
that a strong business justification will be required for re-evaluation.
Red Hat Customer Support can be contacted via the Red Hat Customer Portal
at the following URL:

https://access.redhat.com/

I will duplicate this issue for RHEL-7.


Note You need to log in before you can comment on or make changes to this bug.